Page MenuHomePhabricator

Proposal : T158296 :Translation outreach: User guides on MediaWiki.org
Closed, DeclinedPublic

Description

Proposal for project T158296

Profile

Name : Ankita Mukherjee
Email: mukherjeeankita60@gmail.com
IRC nick: Anknet
Mediawiki User Page: Ankita0000
Blogs : https://medium.com/@ankitadelhi and https://c0dergirl.blogspot.in
Location: India
Time Zone: UTC+5:30
Typical working hours: 2 pm to 10 pm (+5:30 UTC)

Introduction

Localization of a technical documentation requires a deep understanding of both grammar as well as culture of the language.Take for example in a sentence of english it follows the sequence of 'subject' 'verb' and 'object' but the same doesn't apply to other languages like in hindi it has 'subject' 'object and 'verb'. So,it may seem like an easy task but it requires quite a lot of attention along with continuous learning.
There are many pages which has not been translated yet.Take for example of this page. According to facts the eligible population of India is 1,028,737,436 from which only 12.18% people can speak and understand english which makes it difficult for other population to understand the content.This therefore develops the urge for localization of the content.

WMF provides the platform of localization of the content in every natural language which is richer in quality and quantity and has been developed with the effort of many amazing collaborators and contributors and that for free which makes it world's largest open source library of knowledge that too in every language.

Abstract

This project mainly aims to provide accessibility to people all over the world by providing simpler methods to present technical information like documentation so that everyone can read comfortably in their own language.

It includes following objectives:

  • Identifying those communities and places where it can reach out to potential translators.
  • Building up strategies that where to reach and how to reach ?
  • Implementing and testing them

There are several things that translation in wikimedia pages can help people:

  1. While translating a page one is continuously learning a lot. Weather its the source language or the one he/she is translating into, there is always something new that one gets to learn.
  2. While translating a page on wikimedia, one encounters various obstacles or I can say little hiccups, and you cant move forward without resolving the issue. This helps develop the problem solving ability in the individual.
  3. Translating a page on wikimedia is not just limited to conversion of text from one language to another, it serves a greater purpose. Working on a translation project on wikimeda enables a person sitting in a particular country to get a broader sense of fulfilment.
  • Mentor: @Johan
  • Co-Mentor: @Trizek-WMF.
  • Have you contacted your mentors already? Yes

Timeline

PeriodTask
October 23Application Deadline
October24 - November 9Getting the projects approved by the mentor,putting a detailed timeline and start contributing.
November 9- November 23Community bonding Period.Getting familiar with the workchart of wikimedia family.
November 24- December 5Understanding the project and discussing about the milestone and subtasks with the mentors.
December 6- December 16Setting up the project: Understanding the tools and the limitations of the project.
December 17- January 12 Discussion and reaching out to the communities.Receiving their feedback,investigating the cause and making changes if necessary.
January 13- January 20 Getting the feedback and still working on them.
January 21 - February 9 Applying strategies discussed above.
February 10-February 17 Midterm Evaluation: Trying to engage communities.
February 18-February 27Continuous Outreach as well as analysing results.
February 28-March 2Documentation.
March 3-March 5Final evaluation.

Deliverables

The project can divided into 7 phases:

  1. Getting the projects approved by the mentors.
  2. Understanding the workchart of the organization and the tools that will be used in the project.
  3. Building strategy by reaching out to larger part of the world and noting down there feedback.
  4. Working on the implementation of the task.
  5. By using strategies and observing that what's working and what's not?
  6. Analysing result.
  7. Writing final documentation.

Participation

  • I will use Phabricator to manage the subtasks and for feedback.
  • Will be online on IRC in my working hours ( 2 pm to 10 pm UTC +5:30).
  • Will be available on gmail in non-working hours.
  • Will publish weekly report in my user page.
  • Will also write weekly blog post with the advancement of the project.

About Me

I have recently completed my Bachelor of Technology in Electronics and Communication from Guru Gobind Singh Indraprastha University,New Delhi . I'm an enthusiastic learner with an avid interest in technology and have been a core contributor to vibrant python community.I have an unending desire to learn and explore.

I came to know about open source in the year 2016 after attending DjangoGirls workshop (my first open source workshop) .There i developed a mystic fascination towards open source society and started gathering information about it.After doing a hefty lot of research I found myself landing on the Outreachy page.

Will you have any other time commitments, such as school work, another job, planned vacation, etc, during the duration of the program?

No,I won't have any other time commitments during this period of internship.

We advise all candidates eligible for Google Summer of Code and Outreachy to apply for both programs. Are you planning to apply to both programs and, if so, with what organization(s)?

No, I am keeping my complete focus on Outreachy round 15 and is contributing to Wikimedia project.

What does making this project happen mean to you?

I am enthralled by the vision of Wikimedia and when I saw this project i fell into it completely.
In India around 50% of the population communicates in Hindi and the source language of every page over the Internet is English.This project is certainly of my interest and with this I found my first step from where i will learn as well as work with amazing members of Wikimedia for those people who can only understand Hindi. This is a big opportunity for me to make content accessible as well as to educate other translators about the vision of wikimedia and the need for localization,so that more and more people can work on this.

Ways to attract more translators in Wikimedia

As mentioned earlier,I live in the 2nd most populated country in this world (1,281,935,911), which produces almost 9 million graduates every year. The numbers here may look overwhelming, but are true to some extent.The main point here is that a huge and enormous sea of untouched and unaware human resource who doesn't know properly about wikimedia and its ongoing projects.We can imagine that what will be the result if and only if a very few percentage of this huge population would know about wikimedia, its projects and its reach.

Coming back to my college days,I have never met a single person who knew about the wikimedia projects and the grand platform that it provides to learn as well as excel in life and career.Everybody was just looking forward to very limited number of choices.
I came to know about this because of my keen interest in open source projects as well as my interest in making things accessible and handy for everyone.

The major question which arises here is that where we are lacking? The answer comes out to be straight,it is the lack of awareness in the willing human resource.So,there is a need to do something about it, about spreading awareness about wikimedia and to find potential people who can take this further.

So, with all these questions moving round my head I came up with few ways or areas that I would like point out and work upon:

  1. Visiting schools and colleges and giving seminars on the "Importance and requirement of localization.
  2. Conducting frequent meetups by reaching out directly.
  3. Conducting live sessions on youtube and other social networks.
  4. Further getting more potential people and getting engaged on spreading awareness about the wikimedia programme.

Past Experience

My experience started when i dived into the field of Open source.
I contributed in elasticsearch and used it in building up an intelligent threat intelligence model. I have also worked on Wifi Pineapple project which mainly focusses on the Flaws and security vulnerabilities in Wifi communications.
I am a part of pyladies and djangogirls and also have organized several workshops related to "The introduction of FOSS" , "Women empowerment" etc as well as judged hackathons .
I have experience in working with Python,Html , CSS,Data Science as well as in the field of cybersecurity.

Issues

While working on the help pages, I found some errors in the actual translation of the tools that are being used in the language I was translating. What I mean is that,there is some discrepancy with the code of visual editor (i.e. translation from english to hindi). Like,in English its given Heading in the pull down menu but in Hindi its showing उप-शीर्षक( subheading). I have provided the screenshots of the same :


Microtasks Performed

Further contribution and getting familiar with wikimedia tools

Post Outreachy plans

I hereby announce that once the project is over, I would like to take the responsibility to maintain the tool,address bugs,reach to as many communities to make them understand the importance of localization and will get engages on any other concerns from the community.

Any Other Info

For further info you can find my wikimedia global user page here

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 23 2017, 4:40 PM
Ankita0000 updated the task description. (Show Details)Oct 23 2017, 6:21 PM
Ankita0000 updated the task description. (Show Details)
Ankita0000 updated the task description. (Show Details)Oct 23 2017, 6:25 PM
Ankita0000 updated the task description. (Show Details)Oct 23 2017, 6:55 PM
Ankita0000 removed Ankita0000 as the assignee of this task.Oct 24 2017, 6:32 AM
Ankita0000 updated the task description. (Show Details)Oct 24 2017, 2:25 PM
This comment was removed by Ankita0000.

@Johan @Trizek-WMF please give me some feedback on this proposal , should i add something else ?

Ankita0000 renamed this task from Translation outreach: User guides on MediaWiki.org to Proposal :Translation outreach: User guides on MediaWiki.org.Oct 24 2017, 9:02 PM

Having skimmed through it, I see no obvious glaring omissions. @srishakatux is the expert on the process, though.

The main problem would probably be that you might get very little feedback during December 15–December 28, because of the holidays.

Ankita0000 updated the task description. (Show Details)Oct 25 2017, 6:18 AM
Ankita0000 updated the task description. (Show Details)
Ankita0000 updated the task description. (Show Details)Oct 25 2017, 6:27 AM
Ankita0000 updated the task description. (Show Details)Oct 25 2017, 6:38 AM
Ankita0000 updated the task description. (Show Details)
Ankita0000 updated the task description. (Show Details)Oct 25 2017, 6:45 AM

@Johan thank you so much for your feedback , I have updated the the description. @Johan @Trizek-WMF @srishakatux I will be very grateful to you if you can review this proposal once more and provide any other suggestion or feedback that you have in mind.

Ankita0000 renamed this task from Proposal :Translation outreach: User guides on MediaWiki.org to Proposal : T158296 :Translation outreach: User guides on MediaWiki.org.Oct 25 2017, 7:31 AM
Ankita0000 updated the task description. (Show Details)
Ankita0000 updated the task description. (Show Details)Oct 25 2017, 7:33 AM
Ankita0000 updated the task description. (Show Details)Oct 25 2017, 3:45 PM
Ankita0000 updated the task description. (Show Details)Oct 25 2017, 5:46 PM
Ankita0000 updated the task description. (Show Details)Oct 25 2017, 7:53 PM
srishakatux added a comment.EditedOct 26 2017, 2:14 AM

@Ankita0000 hello and welcome! Thank you for submitting the proposal :) As the deadline for the Outreachy applications has already passed, your mentors will not be able to provide any feedback for improvements, but if you like you could still make changes to your proposal here on Phabricator. Thanks!

@srishakatux thank you for the help :)

Ankita0000 updated the task description. (Show Details)Oct 27 2017, 2:13 PM
Ankita0000 updated the task description. (Show Details)
Ankita0000 updated the task description. (Show Details)Oct 27 2017, 2:17 PM
Ankita0000 updated the task description. (Show Details)Oct 27 2017, 2:35 PM
Ankita0000 updated the task description. (Show Details)Oct 27 2017, 2:39 PM
Ankita0000 updated the task description. (Show Details)Oct 27 2017, 3:26 PM
Ankita0000 updated the task description. (Show Details)Oct 29 2017, 5:43 AM
Ankita0000 updated the task description. (Show Details)Nov 1 2017, 4:48 PM
Ankita0000 updated the task description. (Show Details)Nov 1 2017, 4:53 PM
Ankita0000 updated the task description. (Show Details)
Ankita0000 updated the task description. (Show Details)Nov 1 2017, 5:04 PM
Ankita0000 updated the task description. (Show Details)Nov 1 2017, 5:09 PM
Ankita0000 updated the task description. (Show Details)Nov 7 2017, 1:35 PM
Ankita0000 updated the task description. (Show Details)Nov 7 2017, 2:38 PM
Ankita0000 updated the task description. (Show Details)Nov 7 2017, 2:59 PM
Ankita0000 updated the task description. (Show Details)Nov 7 2017, 3:01 PM
Johan added a comment.Dec 6 2017, 3:07 AM

Thank you so much for creating this proposal. Unfortunately, we had more of them, and could only accept one intern. If you want to learn more about translations in the Wikimedia world, we'd be happy for you to stay around – https://lists.wikimedia.org/mailman/listinfo/translators-l is a pretty good place to start.

Johan closed this task as Declined.Dec 6 2017, 3:07 AM